package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF4H9Response {

    @Parameter(name = "AktualniSplatkaPoslednihoVypisu")
    Double aktualniSplatkaPoslednihoVypisu();

    @Parameter(name = "CelkemDoplatit")
    Double celkemDoplatit();

    @Parameter(name = "DatumPosledniSplatky")
    java.util.Date datumPosledniSplatky();

    @Parameter(name = "DatumPoslednihoVypisu")
    java.util.Date datumPoslednihoVypisu();

    @Parameter(name = "DatumSplatnosti")
    java.util.Date datumSplatnosti();

    @Parameter(name = "DisponibilniZustatek")
    Double disponibilniZustatek();

    @Parameter(name = "SplatnaMinimalniSplatka")
    Double splatnaMinimalniSplatka();

    @Parameter(name = "UverovyRamec")
    Double uverovyRamec();

    @Parameter(name = "UverovyRamecVycerpany")
    Double uverovyRamecVycerpany();

    @Parameter(name = "VysePosledniSplatky")
    Double vysePosledniSplatky();

}